<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: STBImage.STBImageInterop Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_s_t_b_image_1_1_s_t_b_image_interop.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="class_s_t_b_image_1_1_s_t_b_image_interop-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">STBImage.STBImageInterop Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Represents the internal <a class="el" href="namespace_s_t_b_image.html">STBImage</a> library functions and helpers.  
 <a href="class_s_t_b_image_1_1_s_t_b_image_interop.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-static-methods" name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:ae6c088ccd2708e835ebf2d566082a34b"><td class="memItemLeft" align="right" valign="top"><a id="ae6c088ccd2708e835ebf2d566082a34b" name="ae6c088ccd2708e835ebf2d566082a34b"></a>
static IntPtr&#160;</td><td class="memItemRight" valign="bottom"><b>LoadFromMemoryPointer</b> (IntPtr inDataPointer, int inDataLength, out int outX, out int outY, out int outChannelsInFile, int desiredChannels, out int dataLength)</td></tr>
<tr class="separator:ae6c088ccd2708e835ebf2d566082a34b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace8d4e3ed48842e30f2195efd8c529ec"><td class="memItemLeft" align="right" valign="top"><a id="ace8d4e3ed48842e30f2195efd8c529ec" name="ace8d4e3ed48842e30f2195efd8c529ec"></a>
static IntPtr&#160;</td><td class="memItemRight" valign="bottom"><b>LoadFromMemory</b> (byte[] data, out int outX, out int outY, out int outChannelsInFile, int desiredChannels, out int dataLength)</td></tr>
<tr class="separator:ace8d4e3ed48842e30f2195efd8c529ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b9013f40ed9d383b4cc1941e031c492"><td class="memItemLeft" align="right" valign="top"><a id="a7b9013f40ed9d383b4cc1941e031c492" name="a7b9013f40ed9d383b4cc1941e031c492"></a>
static void&#160;</td><td class="memItemRight" valign="bottom"><b>ImageFree</b> (IntPtr dataPtr)</td></tr>
<tr class="separator:a7b9013f40ed9d383b4cc1941e031c492"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Represents the internal <a class="el" href="namespace_s_t_b_image.html">STBImage</a> library functions and helpers. </p>
<dl class="section warning"><dt>Warning</dt><dd>Do not modify! </dd></dl>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/TriLib/TriLib/Scripts/AssetLoader/<a class="el" href="_s_t_b_image_interop_8cs.html">STBImageInterop.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespace_s_t_b_image.html">STBImage</a></li><li class="navelem"><a class="el" href="class_s_t_b_image_1_1_s_t_b_image_interop.html">STBImageInterop</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:22 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
